"use strict";
Object.defineProperty(exports, "ClientFactory", {
    enumerable: true,
    get: ()=>ClientFactory
});
const _github = require("@git-filesystem/github");
const _gitlab = require("@git-filesystem/gitlab");
let ClientFactory = class ClientFactory {
    getClientForProvider(provider, owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig) {
        switch(provider){
            case "github":
                return new _github.GitHubClient(owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig);
            case "gitlab":
                return new _gitlab.GitLabClient(owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig);
            default:
                throw new Error(`No provider found for the value '${provider}'`);
        }
    }
};

//# sourceMappingURL=client-factory.js.map